plugins {
    id 'com.github.ben-manes.versions' version '0.51.0'
    id 'com.android.application' version '8.2.2' apply false
    id 'org.jetbrains.kotlin.android' version '1.9.22' apply false
}

dependencyUpdates {
    rejectVersionIf {
        isNonStable(candidate.version)
    }

    outputFormatter = 'plain'
    checkForGradleUpdate = true
}

def isNonStable(String version) {
    return version =~ /(?i).*(alpha|beta|rc|cr|m|preview|b\d+|ea\d+).*/
}


task clean(type: Delete) {
    delete rootProject.buildDir
}
